package com.jz.manage.moduls.service.impl;

import com.jz.common.utils.Result;
import com.jz.common.utils.StatusCode;
import com.jz.manage.moduls.controller.goods.bean.dto.DataGoodsApiDto;
import com.jz.manage.moduls.mapper.DataGoodsApiDao;
import com.jz.manage.moduls.service.DataGoodsApiService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * api商品(TDataGoodsApi)表服务实现类
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:31
 */
@Service("dataGoodsApiService")
public class DataGoodsApiServiceImpl implements DataGoodsApiService {
    @Autowired
    private DataGoodsApiDao tDataGoodsApiDao;

    /**
     * 主键查询数据详情
     *
     * @param id
     * @return
     */
    @Override
    public Result selectById(Long id) {
        List<DataGoodsApiDto> dataGoodsApiDto = tDataGoodsApiDao.findById(id);
        if (dataGoodsApiDto.size() == 0) {
            return Result.error(StatusCode.ERROR, "查询异常！");
        }
        // 基本信息
        List<DataGoodsApiDto> list1 = new ArrayList<>();
        List<DataGoodsApiDto> list2 = new ArrayList<>();
        List<DataGoodsApiDto> list3 = new ArrayList<>();
        Map<String, Object> map = new HashMap<>();

//        for (DataGoodsApiDto goodsApiDto : dataGoodsApiDto) {
//            if (goodsApiDto.getParamsDiffNum().equals("01")) {
//                list1.add(goodsApiDto);
//            }
//            if (goodsApiDto.getParamsDiffNum().equals("02")) {
//                list2.add(goodsApiDto);
//            }
//            if (goodsApiDto.getParamsDiffNum().equals("03")) {
//                list3.add(goodsApiDto);
//            }
//            if (goodsApiDto.getParamsDiffNum().equals("04")) {
//                String requestExample = goodsApiDto.getRequestExample();
//                map.put("requestExample", requestExample); // 请求示例
//            }
//            if (goodsApiDto.getParamsDiffNum().equals("05")) {
//                String returnDataExample = goodsApiDto.getReturnDataExample();
//                map.put("returnDataExample", returnDataExample); // 响应示例
//            }
//        }

        return null;
    }
}